import { request } from '@/api/request2.js'

// 查询浏览记录
export function listHistory(query) {
  return request({
    url: '/mudu/history/list',
    method: 'get',
    params: query,
  })
}

// 获取浏览记录
export function getHistory(id) {
  return request({
    url: '/mudu/history/' + id,
    method: 'get',
  })
}

// 新增浏览记录
export function addHistory(data) {
  return request({
    url: '/mudu/history',
    method: 'post',
    data: data,
  })
}

// 修改浏览记录
export function updateHistory(data) {
  return request({
    url: '/mudu/history',
    method: 'put',
    data,
  })
}

// 删除浏览记录
export function delHistory(id) {
  return request({
    url: '/mudu/history/' + id,
    method: 'delete',
  })
}

export function loginMudu2(data) {
  return request({
    url: '/loginnocaptcha',
    method: 'post',
    data,
  })
}
